# Intel® Enhanced Privacy ID SDK: GroupPubKey Struct Reference

GroupPubKey Struct Reference
epid » common » types

Intel(R) EPID 2.0 group public key. More...

`#include <epid/common/types.h>`

## Data Fields

GroupId | gid
| group ID
G1ElemStr | h1
| an element in G1
G1ElemStr | h2
| an element in G1
G2ElemStr | w
| an element in G2

## Detailed Description

Intel(R) EPID 2.0 group public key.

Group public key: (gid, h1, h2, w)

Examples:
  signmsg.c, and verifysig.c.

The documentation for this struct was generated from the following file:

- epid/common/types.h